
Foreman - Bug #2335

submitting a puppet class edit should go back to the class' page

03/18/2013 06:20 AM - David Schmitt

Status: Closed   

Priority: Low   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.2.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When editing a puppet class, submitting the changes goes back to the list of all classes. This looses the user's context. It would be

nice to return to the class itself or the actual page the edit was coming from.

Related issues:

Related to Foreman - Bug #5773: editing resources in UI returns view to wrong... Closed 05/17/2014

Associated revisions

Revision fb95b3c7 - 05/29/2013 06:16 AM - Joseph Magen

fixes #2335 - update puppetclass redirects to referrer page

Revision e60ae306 - 05/29/2013 11:17 AM - Joseph Magen

fixes #2335 - update puppetclass redirects to referrer page

(cherry picked from commit fb95b3c779953dd59278edd16770fe0384e1e6e9)

History

#1 - 03/18/2013 11:21 AM - Sam Kottler

- Assignee deleted (Ohad Levy)

- Target version set to 1.2.0

- Difficulty set to trivial

#2 - 05/17/2013 11:51 AM - Greg Sutcliffe

I can manage a simple redirect back to /puppetclasses/:id/edit easily enough, but that still loses the context of which class/smart variable you were

editing. Perhaps Amos or Jospeh can show me a better way than this:

--- a/app/controllers/puppetclasses_controller.rb

+++ b/app/controllers/puppetclasses_controller.rb

@@ -44,10 +44,12 @@ class PuppetclassesController < ApplicationController

   def update

     if @puppetclass.update_attributes(params[:puppetclass])

       notice _("Successfully updated puppetclass.")

-      redirect_to puppetclasses_url

-    else

-      render :action => 'edit'

     end

     render :action => 'edit'

   end

#3 - 05/21/2013 10:58 AM - Joseph Magen

- Assignee set to Joseph Magen

#4 - 05/21/2013 11:06 AM - Joseph Magen

Since there is no show action for puppetclass, I assume you want a redirect to the referrer page.
#5 - 05/21/2013 11:28 AM - Joseph Magen

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/633

#6 - 05/29/2013 03:37 AM - Dominic Cleal

We're a bit confused on the PR as to which page it should redirect back to.  Would it be the page that originally led you to the class edit page, e.g. the

puppet classes list with your search terms and so on, or back to the class edit page itself, as if Submit was just an "Apply" button?

#7 - 05/29/2013 07:17 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fb95b3c779953dd59278edd16770fe0384e1e6e9.

#8 - 05/19/2014 07:19 AM - Dominic Cleal

- Related to Bug #5773: editing resources in UI returns view to wrong page and search added
